
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.cfg.Configuration;
import org.hibernate.service.ServiceRegistry;
import org.hibernate.service.ServiceRegistryBuilder;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

//
//@SuppressWarnings("deprecation")
public class StudentsTest {

	
	private SessionFactory sessionFactory; //Ự
	private Session session;			   //Ự	
	private Transaction transaction;       
	
	@Before		//֮ǰ
	public void init()  //ʼ
	{
		//ö
		Configuration config=new Configuration().configure();
		//ע
		ServiceRegistry serviceRegistry=new ServiceRegistryBuilder().applySettings(config.getProperties()).buildServiceRegistry();
		//Ự
		sessionFactory=config.buildSessionFactory(serviceRegistry);
		//Ự
		session=sessionFactory.openSession();
		//
		transaction=session.beginTransaction();
	}
	
	@After	//֮
	public void destory()
	{
		transaction.commit();	//ύ
		session.close();		//رջỰ
		sessionFactory.close(); //رջỰ
	}
	
	@Test	//
	public void testSaveStudents()
	{
		Students s=new Students(3,"","","䵱ɽ");
		session.save(s);	
		Students s1=new Students(4,"shexunyu","","");
		session.save(s1);	//ݿ
	}
	
	
}
